Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2441 - Improper use of relative paths for links
Summary: Improper use of relative paths for links
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 5.2
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-30 19:07 UTC by nathan.zook
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 21:27:29 UTC


Attachments (Terms of Use)

Description nathan.zook 1999-04-30 19:07:27 UTC
This bug probably affects packages throughout the
distribution--I have seen it in other places.

There are links in the package to things like
../../../../etc/smb.conf.  If /usr is a symlink to, say,
/mnt/sda4/usr, and /etc is a normal directory, there is a
real problem.  Fixing the symlinks took most of an hour.

Symlinks should only use relative paths if all directories
stepped through are part of the package.  References to top-
two-level directories should almost always be absolute.

Comment 1 Cristian Gafton 1999-07-28 07:21:59 UTC
assigned to notting

Comment 2 Bill Nottingham 1999-08-18 21:27:59 UTC
this seems to be fixed in the latest samba package - please
point out in new bugs where else it occurs.


Note You need to log in before you can comment on or make changes to this bug.